Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.metadata
Class MethodMetaData

    java.lang.Object
      org.jboss.aop.metadata.MethodMetaData

All Implemented Interfaces:
  MetaDataResolver

public class MethodMetaData
extends Object
implements MetaDataResolver

Version:
  $Revision: 1.12 $
Author:
  Bill Burke

Field Summary

Fields inherited from interface org.jboss.aop.metadata.MetaDataResolver
`EMPTY_TAG`

Constructor Summary
`MethodMetaData()`

Method Summary
`void` | `addMethodMetaData(javassist.CtMethod method, Object tag, Object attr, Object value)`
`void` | `addMethodMetaData(javassist.CtMethod method, Object tag, Object attr, Object value, PayloadKey type)`
`void` | `addMethodMetaData(Method method, Object tag, Object attr, Object value)`
`void` | `addMethodMetaData(Method method, Object tag, Object attr, Object value, boolean exactMatch)`
`void` | `addMethodMetaData(Method method, Object tag, Object attr, Object value, PayloadKey type)`
`void` | `addMethodMetaData(Method method, Object tag, Object attr, Object value, PayloadKey type, boolean exactMatch)`
`void` | `clear()`
`SimpleMetaData` | `getAllMetaData(Invocation invocation)` Get all metadata that belong with the context of this invocation
`SimpleMetaData` | `getMethodMetaData(Method method)`
`Object` | `getMethodMetaData(Method method, Object tag, Object attr)`
`SimpleMetaData` | `getMethodMetaData(String method)` This requires a method signature derived from java.lang.reflect.Method.toString()
`Iterator` | `getMethods()`
`boolean` | `hasGroup(javassist.CtMethod method, String tag)`
`boolean` | `hasTag(Method method, String tag)`
`boolean` | `hasTag(String group)`
`Object` | `resolve(Invocation invocation, Object tag, Object attr)`
`void` | `tagMethod(javassist.CtMethod method, Object tag)`
`void` | `tagMethod(Method method, Object tag)`
`boolean` | `tagWasMatchedInexactly(Method method, Object tag, Object attr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodMetaData

    public MethodMetaData()

Method Detail

### hasTag

    public boolean hasTag(String group)

### tagMethod

    public void tagMethod(Method method,
                          Object tag)

### addMethodMetaData

    public void addMethodMetaData(Method method,
                                  Object tag,
                                  Object attr,
                                  Object value)

### addMethodMetaData

    public void addMethodMetaData(Method method,
                                  Object tag,
                                  Object attr,
                                  Object value,
                                  boolean exactMatch)

### addMethodMetaData

    public void addMethodMetaData(Method method,
                                  Object tag,
                                  Object attr,
                                  Object value,
                                  PayloadKey type)

### addMethodMetaData

    public void addMethodMetaData(Method method,
                                  Object tag,
                                  Object attr,
                                  Object value,
                                  PayloadKey type,
                                  boolean exactMatch)

### tagWasMatchedInexactly

    public boolean tagWasMatchedInexactly(Method method,
                                          Object tag,
                                          Object attr)

### hasTag

    public boolean hasTag(Method method,
                          String tag)

### getMethods

    public Iterator getMethods()

### getMethodMetaData

    public SimpleMetaData getMethodMetaData(String method)

  This requires a method signature derived from java.lang.reflect.Method.toString()

  Parameters:
    `method` -
  Returns:

### getMethodMetaData

    public SimpleMetaData getMethodMetaData(Method method)

### getMethodMetaData

    public Object getMethodMetaData(Method method,
                                    Object tag,
                                    Object attr)

### clear

    public void clear()

### resolve

    public Object resolve(Invocation invocation,
                          Object tag,
                          Object attr)

  Specified by:
    `resolve` in interface `MetaDataResolver`

### getAllMetaData

    public SimpleMetaData getAllMetaData(Invocation invocation)

  Description copied from interface: `MetaDataResolver`
  Get all metadata that belong with the context of this invocation

  Specified by:
    `getAllMetaData` in interface `MetaDataResolver`

### tagMethod

    public void tagMethod(javassist.CtMethod method,
                          Object tag)

### addMethodMetaData

    public void addMethodMetaData(javassist.CtMethod method,
                                  Object tag,
                                  Object attr,
                                  Object value)

### addMethodMetaData

    public void addMethodMetaData(javassist.CtMethod method,
                                  Object tag,
                                  Object attr,
                                  Object value,
                                  PayloadKey type)

### hasGroup

    public boolean hasGroup(javassist.CtMethod method,
                            String tag)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.